#ccc1stats <- read.table("ref.dat",col.names=c("V1","V2","V3","V4","V5","V6","V7","V8","V9","V10","V11","V12","V13","V14","V15","V16","V17","V18","V19"))
#ccc2stats0mc <- read.table("ref.mc.0.dat",col.names=c("V1","V2","V3","V4","V5","V6","V7","V8","V9","V10","V11","V12","V13","V14","V15","V16","V17","V18","V19"))
#ccc3stats1mc <- read.table("ref.mc.1.dat",col.names=c("V1","V2","V3","V4","V5","V6","V7","V8","V9","V10","V11","V12","V13","V14","V15","V16","V17","V18","V19"))
#ccc4treesm <- read.table("treesum.dat",col.names=c("V1","V2","V3","V4","V5","V6","V7"))

#ccc5ebsm <- read.table("ebm.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc5ebsl <- read.table("ebl.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc5ebsu <- read.table("ebu.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc5ebdm <- read.table("ebm.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc5ebdl <- read.table("ebl.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc5ebdu <- read.table("ebu.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebsm <- read.table("tebm.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebsl <- read.table("tebl.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebsu <- read.table("tebu.0",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebdm <- read.table("tebm.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebdl <- read.table("tebl.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))
#ccc6tebdu <- read.table("tebu.1",col.names=c("V1","V2","V3","V4","V5","V6","V7"))

#------------------------------------------------------------------------------

postscript("mcsim.eps",horizontal=FALSE,onefile=FALSE,height=11,width=9)

layout(matrix(c(1,2,2,3,4,5,6,7,8,4,9,10,11,12,4,13,14,15,16,4,17,18,19,20,4,21,22,23,24,4,25,26,27,28,4,29,30,30,30,4), 8, 5, byrow = TRUE), c(0.37,1,1,0.5,1.65), c(0.5,1,1,1,1,1,1,0.35))

tabx <- c(0,1)
x <- c(0.0,0.5)
abc1 = 1.3
abc2 = 1.1
abc3 = 1.4
abc4 = 1.1

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.85,labels="%ggg% (ddd)",cex=1.6,adj=0.5)
text(0.5,0.55,labels="reference (%sss%) v. non-reference pairs",cex=1.4,adj=0.5)
text(0.25,0.2,labels="null model simulations",cex=abc1,adj=0.5)
text(0.75,0.2,labels="alternate model simulations",cex=abc1,adj=0.5)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.45,labels="sum over",cex=abc1,adj=0.5)
text(0.5,0.2,labels="tree",cex=abc1,adj=0.5)

par(mar=c(0,1.5,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
points(c(0.1),c(0.65),pch=19,cex=2.4,col="red")
points(c(0.1),c(0.60),pch=19,cex=2.4,col="blue")
points(c(0.1),c(0.55),pch=19,cex=0.9,col="green")
points(c(0.1),c(0.50),pch=19,cex=0.9,col="purple")
arrows(c(0.1,0.1),c(0.45,0.45),c(0.1,0.1),c(0.47,0.43),length=0.025,angle=90,lwd=3.0)
text(0.2,0.66,labels="data (reference v.",cex=abc3,adj=0)
text(0.2,0.64,labels="non-reference pairs)",cex=abc3,adj=0)
text(0.2,0.60,labels="data (sum over tree)",cex=abc3,adj=0)
text(0.2,0.55,labels="null model simulations",cex=abc3,adj=0)
text(0.2,0.50,labels="alternate model simulations",cex=abc3,adj=0)
text(0.2,0.45,labels="central 68% error-bars",cex=abc3,adj=0)
text(0.1,0.40,labels="If the data points are significantly more",cex=abc4,adj=0)
text(0.1,0.38,labels="similar to the alternate model simulations",cex=abc4,adj=0)
text(0.1,0.36,labels="than the null model simulations, then it",cex=abc4,adj=0)
text(0.1,0.34,labels="supports the hypothesis that the query",cex=abc4,adj=0)
text(0.1,0.32,labels="ORF is coding.",cex=abc4,adj=0)

y <- c(-0.15,0.15)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="log likelihood ratio / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V4-stats0mc$V3,pch=19,cex=0.3,col="green")
abline(h=0)
#ccc5arrows(ebsm$V1,ebsl$V2,ebsm$V1,ebsu$V2,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V4-stats1mc$V3,pch=19,cex=0.3,col="purple")
abline(h=0)
#ccc5arrows(ebdm$V1,ebdl$V2,ebdm$V1,ebdu$V2,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.15
#ccc4mm = abs(treesm$V2)
#ccc4#ccc6mm = max(abs(tebsl$V2),abs(tebdl$V2),abs(tebsu$V2),abs(tebdu$V2),abs(treesm$V2))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(-mm,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V2,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
abline(h=0)
#ccc6arrows(tebsm$V1,tebsl$V2,tebsm$V1,tebsu$V2,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V2,tebdm$V1,tebdu$V2,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

y <- c(0.0,0.4)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="synonymous fraction",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V10,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V3,ebsm$V1,ebsu$V3,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V10,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V10,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V3,ebdm$V1,ebdu$V3,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V10,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V3)
#ccc4#ccc6mm = max(abs(tebsu$V3),abs(tebdu$V3),abs(treesm$V3))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V3,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V3,tebsm$V1,tebsu$V3,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V3,tebdm$V1,tebdu$V3,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="nonsynonymous fraction",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V11,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V4,ebsm$V1,ebsu$V4,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V11,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V11,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V4,ebdm$V1,ebdu$V4,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V11,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V4)
#ccc4#ccc6mm = max(abs(tebsu$V4),abs(tebdu$V4),abs(treesm$V4))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V4,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V4,tebsm$V1,tebsu$V4,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V4,tebdm$V1,tebdu$V4,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

y <- c(0.0,0.4)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N1 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V15,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V5,ebsm$V1,ebsu$V5,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V15,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",xaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V15,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V5,ebdm$V1,ebdu$V5,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V15,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V5)
#ccc4#ccc6mm = max(abs(tebsu$V5),abs(tebdu$V5),abs(treesm$V5))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V5,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V5,tebsm$V1,tebsu$V5,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V5,tebdm$V1,tebdu$V5,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N2 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V16,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V6,ebsm$V1,ebsu$V6,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V16,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",xaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V16,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V6,ebdm$V1,ebdu$V6,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V16,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V6)
#ccc4#ccc6mm = max(abs(tebsu$V6),abs(tebdu$V6),abs(treesm$V6))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V6,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V6,tebsm$V1,tebsu$V6,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V6,tebdm$V1,tebdu$V6,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N3 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V17,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V7,ebsm$V1,ebsu$V7,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V17,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",las=1,cex.axis=abc2)
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V17,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V7,ebdm$V1,ebdu$V7,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V17,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V7)
#ccc4#ccc6mm = max(abs(tebsu$V7),abs(tebdu$V7),abs(treesm$V7))
plot(tabx,tabx,type="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll),las=1,cex.axis=abc2)
axis(side=4,las=2)
#ccc4points(treesm$V1,treesm$V7,pch=19,cex=abc1,col="blue")
#ccc6arrows(tebsm$V1,tebsl$V7,tebsm$V1,tebsu$V7,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V7,tebdm$V1,tebdu$V7,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.25,labels="pairwise sequence divergence (mean # muts per nt)",cex=abc1)

dev.off()

#------------------------------------------------------------------------------

bitmap("mcsim.png",type="png256",height=11,width=9,res=100,pointsize=12)
#postscript("mcsim.eps",horizontal=FALSE,onefile=FALSE,height=11,width=9)

layout(matrix(c(1,2,2,3,4,5,6,7,8,4,9,10,11,12,4,13,14,15,16,4,17,18,19,20,4,21,22,23,24,4,25,26,27,28,4,29,30,30,30,4), 8, 5, byrow = TRUE), c(0.37,1,1,0.5,1.65), c(0.5,1,1,1,1,1,1,0.35))

tabx <- c(0,1)
x <- c(0.0,0.5)
abc1 = 1.3
abc2 = 1.1
abc3 = 1.4
abc4 = 1.1

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.85,labels="%ggg% (ddd)",cex=1.6,adj=0.5)
text(0.5,0.55,labels="reference (%sss%) v. non-reference pairs",cex=1.4,adj=0.5)
text(0.25,0.2,labels="null model simulations",cex=abc1,adj=0.5)
text(0.75,0.2,labels="alternate model simulations",cex=abc1,adj=0.5)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.45,labels="sum over",cex=abc1,adj=0.5)
text(0.5,0.2,labels="tree",cex=abc1,adj=0.5)

par(mar=c(0,1.5,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
points(c(0.1),c(0.65),pch=19,cex=2.4,col="red")
points(c(0.1),c(0.60),pch=19,cex=2.4,col="blue")
points(c(0.1),c(0.55),pch=19,cex=0.9,col="green")
points(c(0.1),c(0.50),pch=19,cex=0.9,col="purple")
arrows(c(0.1,0.1),c(0.45,0.45),c(0.1,0.1),c(0.47,0.43),length=0.025,angle=90,lwd=3.0)
text(0.2,0.66,labels="data (reference v.",cex=abc3,adj=0)
text(0.2,0.64,labels="non-reference pairs)",cex=abc3,adj=0)
text(0.2,0.60,labels="data (sum over tree)",cex=abc3,adj=0)
text(0.2,0.55,labels="null model simulations",cex=abc3,adj=0)
text(0.2,0.50,labels="alternate model simulations",cex=abc3,adj=0)
text(0.2,0.45,labels="central 68% error-bars",cex=abc3,adj=0)
text(0.1,0.40,labels="If the data points are significantly more",cex=abc4,adj=0)
text(0.1,0.38,labels="similar to the alternate model simulations",cex=abc4,adj=0)
text(0.1,0.36,labels="than the null model simulations, then it",cex=abc4,adj=0)
text(0.1,0.34,labels="supports the hypothesis that the query",cex=abc4,adj=0)
text(0.1,0.32,labels="ORF is coding.",cex=abc4,adj=0)

y <- c(-0.15,0.15)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="log likelihood ratio / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V4-stats0mc$V3,pch=19,cex=0.3,col="green")
abline(h=0)
#ccc5arrows(ebsm$V1,ebsl$V2,ebsm$V1,ebsu$V2,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V4-stats1mc$V3,pch=19,cex=0.3,col="purple")
abline(h=0)
#ccc5arrows(ebdm$V1,ebdl$V2,ebdm$V1,ebdu$V2,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.15
#ccc4mm = abs(treesm$V2)
#ccc4#ccc6mm = max(abs(tebsl$V2),abs(tebdl$V2),abs(tebsu$V2),abs(tebdu$V2),abs(treesm$V2))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(-mm,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V2,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
abline(h=0)
#ccc6arrows(tebsm$V1,tebsl$V2,tebsm$V1,tebsu$V2,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V2,tebdm$V1,tebdu$V2,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

y <- c(0.0,0.4)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="synonymous fraction",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V10,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V3,ebsm$V1,ebsu$V3,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V10,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V10,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V3,ebdm$V1,ebdu$V3,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V10,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V3)
#ccc4#ccc6mm = max(abs(tebsu$V3),abs(tebdu$V3),abs(treesm$V3))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V3,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V3,tebsm$V1,tebsu$V3,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V3,tebdm$V1,tebdu$V3,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="nonsynonymous fraction",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V11,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V4,ebsm$V1,ebsu$V4,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V11,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",yaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V11,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V4,ebdm$V1,ebdu$V4,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V11,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V4)
#ccc4#ccc6mm = max(abs(tebsu$V4),abs(tebdu$V4),abs(treesm$V4))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V4,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V4,tebsm$V1,tebsu$V4,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V4,tebdm$V1,tebdu$V4,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

y <- c(0.0,0.4)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N1 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V15,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V5,ebsm$V1,ebsu$V5,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V15,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",xaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V15,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V5,ebdm$V1,ebdu$V5,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V15,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V5)
#ccc4#ccc6mm = max(abs(tebsu$V5),abs(tebdu$V5),abs(treesm$V5))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V5,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V5,tebsm$V1,tebsu$V5,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V5,tebdm$V1,tebdu$V5,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N2 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",xaxt="n",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V16,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V6,ebsm$V1,ebsu$V6,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V16,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",xaxt="n")
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V16,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V6,ebdm$V1,ebdu$V6,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V16,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V6)
#ccc4#ccc6mm = max(abs(tebsu$V6),abs(tebdu$V6),abs(treesm$V6))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll))
#ccc4points(treesm$V1,treesm$V6,pch=19,cex=abc1,col="blue")
axis(side=4,las=2)
#ccc6arrows(tebsm$V1,tebsl$V6,tebsm$V1,tebsu$V6,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V6,tebdm$V1,tebdu$V6,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.2,0.5,labels="N3 mutations / nt",srt=90,cex=abc1)

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",las=1,cex.axis=abc2)
#ccc2points(stats0mc$V13/stats0mc$V12,stats0mc$V17,pch=19,cex=0.3,col="green")
#ccc5arrows(ebsm$V1,ebsl$V7,ebsm$V1,ebsu$V7,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V17,pch=19,cex=abc1,col="red")

par(mar=c(0,0,0,0))
plot(tabx,tabx,xlim=x,ylim=y,type="n",xlab="",ylab="",yaxt="n",las=1,cex.axis=abc2)
#ccc3points(stats1mc$V13/stats1mc$V12,stats1mc$V17,pch=19,cex=0.3,col="purple")
#ccc5arrows(ebdm$V1,ebdl$V7,ebdm$V1,ebdu$V7,length=0.025,angle=90,lwd=2.0,code=3)
#ccc1points(stats$V13/stats$V12,stats$V17,pch=19,cex=abc1,col="red")

par(mar=c(0,1,0,0))
mm = 0.4
#ccc4mm = abs(treesm$V7)
#ccc4#ccc6mm = max(abs(tebsu$V7),abs(tebdu$V7),abs(treesm$V7))
plot(tabx,tabx,type="n",yaxt="n",ylab="",xlab="",ylim=c(0,mm),xlim=c(lll,lll),las=1,cex.axis=abc2)
axis(side=4,las=2)
#ccc4points(treesm$V1,treesm$V7,pch=19,cex=abc1,col="blue")
#ccc6arrows(tebsm$V1,tebsl$V7,tebsm$V1,tebsu$V7,length=0.025,angle=90,lwd=2.0,code=3,col="green")
#ccc6arrows(tebdm$V1,tebdl$V7,tebdm$V1,tebdu$V7,length=0.025,angle=90,lwd=2.0,code=3,col="purple")

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(tabx,tabx,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.25,labels="pairwise sequence divergence (mean # muts per nt)",cex=abc1)

dev.off()

