#kkk0coords  <- read.table("coords.txt",col.names=c("V1","V2","V3"))
#kkk1MLEs    <- read.table("ref.MLElog",col.names=c("V1","V2","V3","V4","V5"))
#kkk2stop1   <- read.table("ref.stoppos1",col.names=c("V1","V2"))
#kkk3stop2   <- read.table("ref.stoppos2",col.names=c("V1","V2"))
#kkk4gaps    <- read.table("ref.gappos",col.names=c("V1","V2"))
#kkk5treesm  <- read.table("tree.treesum",col.names=c("V1","V2","V3","V4","V5","V6"))
#kkk6runmean <- read.table("ref.runmean",col.names=c("V1","V2","V3","V4","V5"))
#kkk7treerm  <- read.table("tree.runmean",col.names=c("V1","V2","V3","V4","V5"))
#vvv1stats  <- read.table("ref.dat",col.names=c("V1","V2","V3","V4","V5","V6","V7","V8","V9","V10","V11","V12","V13","V14","V15","V16","V17","V18","V19"))

#------------------------------------------------------------------------------

postscript("MLEnuc.eps",horizontal=TRUE,onefile=FALSE,height=7,width=9)

layout(matrix(c(1,2,3,4,5,6,4,7,8,4,9,10,4,11,12,13,14,15,16,17,18,19,20,21), 8, 3, byrow = TRUE), c(0.11,1,0.2), c(0.3,1,0.3,1,0.3,0.15,0.25,0.3))

y <- c(0,1)
rrr = yyyscale
y2 <- c(yyy2min,yyy2max)
x <- c(bbb1,bbb2)
temp <- c(0,1)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.7,labels="%ggg% (ddd); mean muts per column over tree = lll",cex=1.7,adj=0.5)
text(0.10,0.25,labels="stops in null model",adj=0.0,cex=1.2)
text(0.46,0.25,labels="stops in alternate model",adj=0.0,cex=1.2)
text(0.87,0.25,labels="gaps",adj=0.0,cex=1.2)
points(c(0.07),c(0.23),cex=1.2,pch=24,col="blue")
points(c(0.43),c(0.23),cex=1.2,pch=24,col="red")
rect(c(0.83),c(0.18),c(0.85),c(0.38),col="green",border="green")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.8,labels="sequence",adj=0.0,cex=1)
text(0.0,0.5,labels="v. reference",adj=0.0,cex=1)
text(0.0,0.2,labels="pairs",adj=0.0,cex=1)
text(1.0,0.8,labels="divergence",adj=1.0,cex=1)
text(1.0,0.5,labels="(mean #",adj=1.0,cex=1)
text(1.0,0.2,labels="muts per nt)",adj=1.0,cex=1)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.5,labels="log likelihood ratio",srt=90,cex=1.7)
text(0.7,0.5,labels="per nucleotide",srt=90,cex=1.7)
text(0.3,1.0,labels="positive values favour",srt=90,cex=1.2,adj=1.0)
text(0.6,1.0,labels="the alternate model",srt=90,cex=1.2,adj=1.0)
text(0.3,0.0,labels="negative values favour",srt=90,cex=1.2,adj=0.0)
text(0.6,0.0,labels="the null model",srt=90,cex=1.2,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
abline(h=((c(1:nnn)-0.5)/nnn),lty="dashed")
#kkk1arrows(MLEs$V3,(MLEs$V2-0.5)/nnn,MLEs$V3,(MLEs$V2-0.5+(MLEs$V5-MLEs$V4)*rrr*0.2)/nnn,length=0,angle=90)
#kkk4arrows(gaps$V2,(gaps$V1-0.2)/nnn,gaps$V2,(gaps$V1-0.8)/nnn,length=0,angle=90,col="green")
#kkk2points(stop1$V2,(stop1$V1-0.8)/nnn,col="blue",cex=0.7,pch=24)
#kkk3points(stop2$V2,(stop2$V1-0.8)/nnn,col="red",cex=0.7,pch=24)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

c1 <- c(sss1)
c2 <- c(sss2)
c3 <- c(sss3)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,c1,labels=c2,cex=1,adj=0.0)
text(1,c1,labels=c3,cex=1,adj=1.0)
text(0,0.5/nnn,labels="%sss% (reference)",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2*5.)
axis(side=4,las=2)
#kkk5arrows(treesm$V1,0*treesm$V1,treesm$V1,treesm$V5-treesm$V4,length=0,angle=90,col="red")
abline(h=0,lty="dashed")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.8,labels="sum over",cex=1,adj=0.0)
text(0.3,0.5,labels="phylogenetic",cex=1,adj=0.0)
text(0.3,0.2,labels="tree",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
abline(h=((c(1:nnn)-0.5)/nnn),lty="dashed")
#kkk6arrows(runmean$V3,(runmean$V2-0.5)/nnn,runmean$V3,(runmean$V2-0.5+(runmean$V5-runmean$V4)*rrr)/nnn,length=0,angle=90,col="black")
#kkk4arrows(gaps$V2,(gaps$V1-0.2)/nnn,gaps$V2,(gaps$V1-0.8)/nnn,length=0,angle=90,col="green")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.5,labels="running mean",srt=270,cex=1.7)
text(0.1,0.5,labels="(window size www nt)",srt=270,cex=1.4)
hh1 = floor(-1-log2(rrr/nnn))
hh2 = (rrr/nnn)*(2^hh1)
text(0.75,0.95,labels="scale-bars",adj=0.5,cex=1.2)
arrows(c(0.5),c(0.8),c(0.5),c(0.8-0.2*hh2),code=3,length=0.04,angle=90)
text(0.62,0.8-0.1*hh2,labels="raw scores",adj=0.0,cex=1)
text(0.58,0.8,labels=2^hh1,cex=1,adj=0.0)
text(0.58,0.8-0.2*hh2,labels="0",cex=1,adj=0.0)
arrows(c(0.5),c(0.05),c(0.5),c(0.05+hh2),code=3,length=0.04,angle=90)
text(0.62,0.05+0.5*hh2+0.05,labels="running",adj=0.0,cex=1)
text(0.62,0.05+0.5*hh2-0.05,labels="means",adj=0.0,cex=1)
text(0.58,0.05,labels="0",cex=1,adj=0.0)
text(0.58,0.05+hh2,labels=2^hh1,cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2)
axis(side=4,las=2)
#kkk7arrows(treerm$V1,0*treerm$V1,treerm$V1,treerm$V5-treerm$V4,length=0,angle=90,col="red")
abline(h=0,lty="dashed")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.8,labels="sum over",cex=1,adj=0.0)
text(0.3,0.5,labels="phylogenetic",cex=1,adj=0.0)
text(0.3,0.2,labels="tree",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
c1 <- c(orf1x1)
c2 <- c(orf1x2)
d1 <- c(orf2x1)
d2 <- c(orf2x2)
arrows(d1,0.7,d2,0.7,length=0.025,angle=90,lwd=2.0,col="red",code=3)
arrows(c1,0.3,c2,0.3,length=0.025,angle=90,lwd=2.0,col="blue",code=3)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.8,labels="Alternate model CDSs",cex=1,adj=0.0)
text(0,0.3,labels="Null model CDSs",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.95,0.91,labels="summed",cex=0.9,adj=1.0)
text(0.95,0.63,labels="divergence of",cex=0.9,adj=1.0)
text(0.95,0.35,labels="contributing",cex=0.9,adj=1.0)
text(0.95,0.07,labels="sequence pairs",cex=0.9,adj=1.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",yaxt="n",xlim=x,ylim=c(0,1.5*lll),cex.axis=1.4)
axis(side=4,las=2)
#kkk5lines(treesm$V1,treesm$V3,col="purple")
abline(h=0)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.25,0.8,labels="mean number",cex=1,adj=0.0)
text(0.25,0.5,labels="of mutations",cex=1,adj=0.0)
text(0.25,0.2,labels="per column",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.3,labels="alignment coordinate (nt)",cex=1.7,adj=0.5)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

dev.off()

#------------------------------------------------------------------------------

postscript("MLEscatter.eps",horizontal=FALSE,onefile=FALSE,height=8,width=8)

layout(matrix(c(1,2), 2, 1, byrow = TRUE), c(1), c(1,0.12))

#kkk8x <- c(0.0,0.6)
#kkk8y <- c(-0.15,0.15)
#kkk9x <- c(0.0,0.8)
#kkk9y <- c(-0.2,0.2)
temp <- c(0,1)

par(mar=c(5,4,4,2)+0.1)
plot(temp,temp,xlim=x,ylim=y,type="n",xlab="pairwise sequence divergence (mean # muts per nt)",ylab="mean log likelihood ratio per nucleotide",cex.lab=1.4,cex.axis=1.2,main="%ggg%: reference (%sss%) v. non-reference pairs")
abline(h=0)
#vvv1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=1.2,col="red")
#kkk8text(0,0.15,labels="positive values favour",cex=1.4,adj=0)
#kkk8text(0,0.13,labels="alternate model",cex=1.4,adj=0)
#kkk8text(0,-0.13,labels="negative values favour",cex=1.4,adj=0)
#kkk8text(0,-0.15,labels="null model",cex=1.4,adj=0)
#kkk9text(0,0.2,labels="positive values favour",cex=1.4,adj=0)
#kkk9text(0,0.18,labels="alternate model",cex=1.4,adj=0)
#kkk9text(0,-0.18,labels="negative values favour",cex=1.4,adj=0)
#kkk9text(0,-0.2,labels="null model",cex=1.4,adj=0)
points(lll,fff,pch=19,cex=1.2,col="blue")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
points(0.07,0.75,pch=19,cex=1.2,col="red")
text(0.1,0.7,labels="Reference versus non-reference sequence pairs.",cex=1.4,adj=0.0)
points(0.07,0.35,pch=19,cex=1.2,col="blue")
text(0.1,0.3,labels="Sum over phylogenetic tree is located at (lll,fff).",cex=1.4,adj=0.0)

dev.off()

#------------------------------------------------------------------------------

bitmap("MLEnuc.png",type="png256",height=7,width=9,res=100,pointsize=12)
#postscript("MLEnuc.eps",horizontal=TRUE,onefile=FALSE,height=7,width=9)

layout(matrix(c(1,2,3,4,5,6,4,7,8,4,9,10,4,11,12,13,14,15,16,17,18,19,20,21), 8, 3, byrow = TRUE), c(0.11,1,0.2), c(0.3,1,0.3,1,0.3,0.15,0.25,0.3))

y <- c(0,1)
rrr = yyyscale
y2 <- c(yyy2min,yyy2max)
x <- c(bbb1,bbb2)
temp <- c(0,1)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.7,labels="%ggg% (ddd); mean muts per column over tree = lll",cex=1.7,adj=0.5)
text(0.10,0.25,labels="stops in null model",adj=0.0,cex=1.2)
text(0.46,0.25,labels="stops in alternate model",adj=0.0,cex=1.2)
text(0.87,0.25,labels="gaps",adj=0.0,cex=1.2)
points(c(0.07),c(0.23),cex=1.2,pch=24,col="blue")
points(c(0.43),c(0.23),cex=1.2,pch=24,col="red")
rect(c(0.83),c(0.18),c(0.85),c(0.38),col="green",border="green")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.0,0.8,labels="sequence",adj=0.0,cex=1)
text(0.0,0.5,labels="v. reference",adj=0.0,cex=1)
text(0.0,0.2,labels="pairs",adj=0.0,cex=1)
text(1.0,0.8,labels="divergence",adj=1.0,cex=1)
text(1.0,0.5,labels="(mean #",adj=1.0,cex=1)
text(1.0,0.2,labels="muts per nt)",adj=1.0,cex=1)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.5,labels="log likelihood ratio",srt=90,cex=1.7)
text(0.7,0.5,labels="per nucleotide",srt=90,cex=1.7)
text(0.3,1.0,labels="positive values favour",srt=90,cex=1.2,adj=1.0)
text(0.6,1.0,labels="the alternate model",srt=90,cex=1.2,adj=1.0)
text(0.3,0.0,labels="negative values favour",srt=90,cex=1.2,adj=0.0)
text(0.6,0.0,labels="the null model",srt=90,cex=1.2,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
abline(h=((c(1:nnn)-0.5)/nnn),lty="dashed")
#kkk1arrows(MLEs$V3,(MLEs$V2-0.5)/nnn,MLEs$V3,(MLEs$V2-0.5+(MLEs$V5-MLEs$V4)*rrr*0.2)/nnn,length=0,angle=90)
#kkk4arrows(gaps$V2,(gaps$V1-0.2)/nnn,gaps$V2,(gaps$V1-0.8)/nnn,length=0,angle=90,col="green")
#kkk2points(stop1$V2,(stop1$V1-0.8)/nnn,col="blue",cex=0.7,pch=24)
#kkk3points(stop2$V2,(stop2$V1-0.8)/nnn,col="red",cex=0.7,pch=24)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

c1 <- c(sss1)
c2 <- c(sss2)
c3 <- c(sss3)
par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,c1,labels=c2,cex=1,adj=0.0)
text(1,c1,labels=c3,cex=1,adj=1.0)
text(0,0.5/nnn,labels="%sss% (reference)",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2*5.)
axis(side=4,las=2)
#kkk5arrows(treesm$V1,0*treesm$V1,treesm$V1,treesm$V5-treesm$V4,length=0,angle=90,col="red")
abline(h=0,lty="dashed")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.8,labels="sum over",cex=1,adj=0.0)
text(0.3,0.5,labels="phylogenetic",cex=1,adj=0.0)
text(0.3,0.2,labels="tree",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
abline(h=((c(1:nnn)-0.5)/nnn),lty="dashed")
#kkk6arrows(runmean$V3,(runmean$V2-0.5)/nnn,runmean$V3,(runmean$V2-0.5+(runmean$V5-runmean$V4)*rrr)/nnn,length=0,angle=90,col="black")
#kkk4arrows(gaps$V2,(gaps$V1-0.2)/nnn,gaps$V2,(gaps$V1-0.8)/nnn,length=0,angle=90,col="green")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.5,labels="running mean",srt=270,cex=1.7)
text(0.1,0.5,labels="(window size www nt)",srt=270,cex=1.4)
hh1 = floor(-1-log2(rrr/nnn))
hh2 = (rrr/nnn)*(2^hh1)
text(0.75,0.95,labels="scale-bars",adj=0.5,cex=1.2)
arrows(c(0.5),c(0.8),c(0.5),c(0.8-0.2*hh2),code=3,length=0.04,angle=90)
text(0.62,0.8-0.1*hh2,labels="raw scores",adj=0.0,cex=1)
text(0.58,0.8,labels=2^hh1,cex=1,adj=0.0)
text(0.58,0.8-0.2*hh2,labels="0",cex=1,adj=0.0)
arrows(c(0.5),c(0.05),c(0.5),c(0.05+hh2),code=3,length=0.04,angle=90)
text(0.62,0.05+0.5*hh2+0.05,labels="running",adj=0.0,cex=1)
text(0.62,0.05+0.5*hh2-0.05,labels="means",adj=0.0,cex=1)
text(0.58,0.05,labels="0",cex=1,adj=0.0)
text(0.58,0.05+hh2,labels=2^hh1,cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2)
axis(side=4,las=2)
#kkk7arrows(treerm$V1,0*treerm$V1,treerm$V1,treerm$V5-treerm$V4,length=0,angle=90,col="red")
abline(h=0,lty="dashed")
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.3,0.8,labels="sum over",cex=1,adj=0.0)
text(0.3,0.5,labels="phylogenetic",cex=1,adj=0.0)
text(0.3,0.2,labels="tree",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
c1 <- c(orf1x1)
c2 <- c(orf1x2)
d1 <- c(orf2x1)
d2 <- c(orf2x2)
arrows(d1,0.7,d2,0.7,length=0.025,angle=90,lwd=2.0,col="red",code=3)
arrows(c1,0.3,c2,0.3,length=0.025,angle=90,lwd=2.0,col="blue",code=3)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.8,labels="Alternate model CDSs",cex=1,adj=0.0)
text(0,0.3,labels="Null model CDSs",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.95,0.91,labels="summed",cex=0.9,adj=1.0)
text(0.95,0.63,labels="divergence of",cex=0.9,adj=1.0)
text(0.95,0.35,labels="contributing",cex=0.9,adj=1.0)
text(0.95,0.07,labels="sequence pairs",cex=0.9,adj=1.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xlab="",ylab="",yaxt="n",xlim=x,ylim=c(0,1.5*lll),cex.axis=1.4)
axis(side=4,las=2)
#kkk5lines(treesm$V1,treesm$V3,col="purple")
abline(h=0)
#vvv0grid(ny=NA,col="black",lwd=1,lty="dashed")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.25,0.8,labels="mean number",cex=1,adj=0.0)
text(0.25,0.5,labels="of mutations",cex=1,adj=0.0)
text(0.25,0.2,labels="per column",cex=1,adj=0.0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0.5,0.3,labels="alignment coordinate (nt)",cex=1.7,adj=0.5)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

dev.off()

#------------------------------------------------------------------------------

#kkk8bitmap("MLEscatter.png",type="png256",height=4.4,width=5,res=65,pointsize=8)
#kkk9bitmap("MLEscatter.png",type="png256",height=5.5,width=5,res=100,pointsize=8)
#postscript("MLEscatter.eps",horizontal=FALSE,onefile=FALSE,height=8,width=8)

layout(matrix(c(1,2), 2, 1, byrow = TRUE), c(1), c(1,0.12))

#kkk8x <- c(0.0,0.6)
#kkk8y <- c(-0.15,0.15)
#kkk9x <- c(0.0,0.8)
#kkk9y <- c(-0.2,0.2)
temp <- c(0,1)

par(mar=c(5,4,4,2)+0.1)
plot(temp,temp,xlim=x,ylim=y,type="n",xlab="pairwise sequence divergence (mean # muts per nt)",ylab="mean log likelihood ratio per nucleotide",cex.lab=1.4,cex.axis=1.2,main="%ggg%: reference (%sss%) v. non-reference pairs")
abline(h=0)
#vvv1points(stats$V13/stats$V12,stats$V4-stats$V3,pch=19,cex=1.2,col="red")
#kkk8text(0,0.15,labels="positive values favour",cex=1.4,adj=0)
#kkk8text(0,0.13,labels="alternate model",cex=1.4,adj=0)
#kkk8text(0,-0.13,labels="negative values favour",cex=1.4,adj=0)
#kkk8text(0,-0.15,labels="null model",cex=1.4,adj=0)
#kkk9text(0,0.2,labels="positive values favour",cex=1.4,adj=0)
#kkk9text(0,0.18,labels="alternate model",cex=1.4,adj=0)
#kkk9text(0,-0.18,labels="negative values favour",cex=1.4,adj=0)
#kkk9text(0,-0.2,labels="null model",cex=1.4,adj=0)
points(lll,fff,pch=19,cex=1.2,col="blue")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
points(0.07,0.75,pch=19,cex=1.2,col="red")
text(0.1,0.7,labels="Reference versus non-reference sequence pairs.",cex=1.4,adj=0.0)
points(0.07,0.35,pch=19,cex=1.2,col="blue")
text(0.1,0.3,labels="Sum over phylogenetic tree is located at (lll,fff).",cex=1.4,adj=0.0)

dev.off()

#------------------------------------------------------------------------------

bitmap("MLEtrack.png",type="png256",height=3,width=2.4+0.1*(1+bbbq2-bbbq1),res=100,pointsize=12)
#postscript("MLEtrack.eps",horizontal=FALSE,onefile=FALSE,height=3,width=2.4+0.1*(1+bbbq2-bbbq1))

layout(matrix(c(1,1,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,17,17), 7, 3, byrow = TRUE), c(1.8,0.1*(1+bbbq2-bbbq1),0.6), c(0.1,1,1,1,1,1,0.1))

y <- c(0,1)
y2 <- c(yyy2min,yyy2max)
x <- c(bbbq1,bbbq2)
temp <- c(0,1)
abc1 = 0.35
#abc2 = 5
abc2 = 0

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.8,labels="Log likelihood ratio",cex=1,adj=0.0)
text(0,0.5,labels="per nucleotide,",cex=1,adj=0.0)
text(0,0.2,labels="summed over tree",cex=1,adj=0.0)

par(mar=c(0,abc2,0,abc2))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2*5.)
axis(side=2,las=2)
axis(side=4,las=2)
#kkk5rect(treesm$V1-abc1,0*treesm$V1,treesm$V1+abc1,treesm$V5-treesm$V4,col="red",border="red")
abline(h=0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.8,labels="Running mean",cex=1,adj=0.0)
text(0,0.5,labels="(window size",cex=1,adj=0.0)
text(0,0.2,labels="www nt)",cex=1,adj=0.0)

par(mar=c(0,abc2,0,abc2))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y2)
axis(side=2,las=2)
axis(side=4,las=2)
#kkk7rect(treerm$V1-abc1,0*treerm$V1,treerm$V1+abc1,treerm$V5-treerm$V4,col="red",border="red")
abline(h=0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.73,labels="Alternate model CDSs",cex=1,adj=0.0)
text(0,0.27,labels="Null model CDSs",cex=1,adj=0.0)

par(mar=c(0,abc2,0,abc2))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=y)
c1 <- c(orf1x1)
c2 <- c(orf1x2)
d1 <- c(orf2x1)
d2 <- c(orf2x2)
arrows(d1,0.7,d2,0.7,length=0.025,angle=90,lwd=2.0,col="red",code=3)
arrows(c1,0.3,c2,0.3,length=0.025,angle=90,lwd=2.0,col="blue",code=3)
#kkk2points(stop1$V2,(stop1$V1-0.8),col="blue",cex=0.7,pch=24)
#kkk3points(stop2$V2,(stop2$V1-0.2),col="red",cex=0.7,pch=24)
#kkk0text(coords$V1,0.5,labels=as.character(coords$V3),cex=0.9,adj=0.5)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.9,labels="Summed divergence",cex=1,adj=0.0)
text(0,0.63,labels="of contributing",cex=1,adj=0.0)
text(0,0.37,labels="sequence pairs",cex=1,adj=0.0)
text(0,0.1,labels="(mean # muts per col)",cex=1,adj=0.0)

par(mar=c(0,abc2,0,abc2))
plot(temp,temp,type="n",xlab="",ylab="",xaxt="n",yaxt="n",xlim=x,ylim=c(0,1.5*lll),cex.axis=1.4)
axis(side=2,las=2)
axis(side=4,las=2)
#kkk5rect(treesm$V1-abc1,0,treesm$V1+abc1,treesm$V3,col="purple",border="purple")
abline(h=0)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)
text(0,0.87,labels="reference sequence",cex=1,adj=0.0,col="black")
text(0,0.67,labels="coords (nt)",cex=1,adj=0.0,col="black")
text(0,0.33,labels="alignment coords",cex=1,adj=0.0,col="black")
text(0,0.13,labels="(nt)",cex=1,adj=0.0,col="black")

par(mar=c(0,abc2,0,abc2))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",xlim=x)
#kkk0text(coords$V1,0.9,labels=as.character(coords$V2),cex=0.9,adj=1.0,srt=90,col="black")
#kkk0text(coords$V1,0.4,labels=as.character(coords$V1),cex=0.9,adj=1.0,srt=90,col="black")

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

par(mar=c(0,0,0,0))
plot(temp,temp,type="n",xaxt="n",yaxt="n",ylab="",xlab="",axes=FALSE)

dev.off()

